> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commit Details

> Get detailed information about a specific commit including changes.

Similar to 'git show <commit>' - returns commit metadata plus the 
changes introduced by this commit compared to its parent.



## OpenAPI

````yaml get /orgs/{org_id}/nodes/{node_id}/tree/{branch}/commits/{commit_id}
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /orgs/{org_id}/nodes/{node_id}/tree/{branch}/commits/{commit_id}:
    get:
      tags:
        - node-history
      summary: Get Commit Details
      description: |-
        Get detailed information about a specific commit including changes.

        Similar to 'git show <commit>' - returns commit metadata plus the 
        changes introduced by this commit compared to its parent.
      operationId: >-
        get_commit_details_orgs__org_id__nodes__node_id__tree__branch__commits__commit_id__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: node_id
          in: path
          required: true
          schema:
            type: string
            title: Node Id
        - name: branch
          in: path
          required: true
          schema:
            type: string
            title: Branch
        - name: commit_id
          in: path
          required: true
          schema:
            type: string
            title: Commit Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommitDetailsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CommitDetailsResponse:
      properties:
        id:
          type: string
          title: Id
          description: Commit ID
        node_id:
          type: string
          title: Node Id
          description: Node ID
        message:
          type: string
          title: Message
          description: Commit message
        author:
          type: string
          title: Author
          description: Commit author
        author_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Author Email
          description: Author email address
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Commit timestamp
        parent_commits:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Parent Commits
          description: Parent commit IDs
        changes:
          anyOf:
            - $ref: '#/components/schemas/CommitDiffResponse'
            - type: 'null'
          description: Changes from parent commit
      type: object
      required:
        - id
        - node_id
        - message
        - author
        - created_at
      title: CommitDetailsResponse
      description: Response model for detailed commit information with changes.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CommitDiffResponse:
      properties:
        node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Node Id
          description: Node ID (if node-specific)
        base_commit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Base Commit Id
          description: Base commit ID
        target_commit_id:
          type: string
          title: Target Commit Id
          description: Target commit ID
        added:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Added
          description: Added entities
        removed:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Removed
          description: Removed entities
        modified:
          items:
            $ref: '#/components/schemas/DiffEntityResponse'
          type: array
          title: Modified
          description: Modified entities
      type: object
      required:
        - target_commit_id
        - added
        - removed
        - modified
      title: CommitDiffResponse
      description: Response model for commit diff.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DiffEntityResponse:
      properties:
        entity_type:
          type: string
          title: Entity Type
          description: Type of entity
        entity_id:
          type: string
          title: Entity Id
          description: Entity ID
        entity_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Key
          description: Entity key
        object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Object Id
          description: Object ID
        old_object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Old Object Id
          description: Old object ID (for modifications)
        new_object_id:
          anyOf:
            - type: string
            - type: 'null'
          title: New Object Id
          description: New object ID (for modifications)
      type: object
      required:
        - entity_type
        - entity_id
      title: DiffEntityResponse
      description: Response model for entity diff data.

````